#if !defined  HAVE_PERMINVERT_H__
#define       HAVE_PERMINVERT_H__

//#include "ds/bitarray.h"
class bitarray;

#include "fxttypes.h"


// perm/perminvert.cc:
void make_inverse(const ulong *f, ulong *g, ulong n);
void make_inverse(ulong *f, ulong n, bitarray *bp=0);
void boothroyd_invert(ulong *f, ulong n, bitarray *bp=0);


#endif  // !defined HAVE_PERMINVERT_H__
